<?php
/*********************************************************************************
	Call2Pay API Demo - Statusabfrage
	- ermittelt Stand des Anrufs
	- gibt daten als XML an Paymentseite zurck
*********************************************************************************/
	
	require_once('config.php');
	require_once('tools.php');
	
	do {
	// handle auswerten
		$handle = getGetVar('handle');
		if (empty($handle)) { $errorText = 'Ungltiger Aufruf'; break; };
		
	// Service Initialisierung
		$oService = new Service();
		$oService -> setParam('handle', $handle);
		
	// Servicefunction status aufrufen
		if (!$oService -> request('status')) { $errorText = 'Service nicht erreichbar'; break; };
		$error = $oService -> getResult('error', 0);
		$errormessage = $oService -> getResult('errormessage');
		if ($error) { $errorText = 'Servicefehler: ' . $error . ' ' . $errormessage; break; };
		
	// Servicerckgaben auswerten
		$status = $oService -> getResult('status');
		$caller = $oService -> getResult('caller');
		$origin = $oService -> getResult('origin');
		$duration = $oService -> getResult('duration');
		$durationpart = $oService -> getResult('durationpart');
		$freeparam = $oService -> getResult('freeparam');
		
		switch ($status) {
		case 'INIT': // wartet auf Anruf
			$delay = 5;
			$infoText = 'Rufen Sie jetzt an!';
			break;
		case 'REINIT': // wartet auf Anruf nach Abbruch
			$delay = 5;
			$errorText = 'Verbindung wurde zu frh unterbrochen! Rufen Sie erneut an!';
			break;
		case 'CALL': // Anruf luft
		// Forschrittsanzeige
			$delay = 1;
			$infoText = 'Halten Sie die Verbindung noch ' . ($duration - $durationpart) . ' Sekunden!';
			break;
		case 'RECALL': // Anruf abgebrochen
		// neu initialisieren
			$page = 'payment';
			$errorText = 'Verbindung wurde zu frh unterbrochen! Rufen Sie erneut an!';
			break;
		case 'COMPLETE': // Bezahlung erfolgreich
		// Coins aus freeparam gutschreiben
			$coins = getSessionVar('s_coins', 0) + $freeparam;
			setSessionVar('s_coins', $coins);
			
		// weiterleiten auf Erfolgsseite
			$page = 'content';
			$infoText = 'Bezahlung abgeschlossen!';
			break;
		default:
			$errorText = 'unbekannter Status: ' . $status;
		}
	}
	while (0);
	
	header('Content-type: text/xml');
	echo '<?xml version="1.0" encoding="ISO-8859-1"?>'; // darf nicht von php interpretiert werden
?>
<result>
	<errortext><?php echo htmlspecialchars($errorText); ?></errortext>
	<infotext><?php echo htmlspecialchars($infoText); ?></infotext>
	<duration><?php echo (integer) $duration; ?></duration>
	<durationpart><?php echo (integer) $durationpart; ?></durationpart>
	<page><?php echo htmlspecialchars($page); ?></page>
	<delay><?php echo (integer) $delay; ?></delay>
	<debug><![CDATA[
<?php 
	if (DEBUG) {
		if (!empty($oService)) {
			printDebug('Params', $oService -> arrParams);
			printDebug('Result', $oService -> arrResult);
		};
		printDebug('GET', $_GET);
		printDebug('SESSION', $_SESSION);
	}
?>
	]]></debug>
</result>