<?php
/*********************************************************************************
	Call2Pay API Demo - Angebot- und Lnderauswahl
	- bietet Inhalt von $offerList zur Auswahl an
	- ermittelt verfgbare Lnder und zeigt sie an
*********************************************************************************/
	
	do {
	// Serviceparameter ermitteln
		$ip = $_SERVER['REMOTE_ADDR'];
		$amount = 3000;
		$currency = 'EUR';
		
	// Service Initialisierung
		$oService = new Service();
		$oService -> setParam('project', PROJECT_NAME);
		$oService -> setParam('amount', $amount);
		$oService -> setParam('currency', $currency);
		$oService -> setParam('ip', $ip);
		
	// Servicefunktion aufrufen und Fehler behandeln
		if (!$oService -> request('country')) { $errorText = 'Service nicht erreichbar'; break; };
		$error = $oService -> getResult('error', 0);
		$errormessage = $oService -> getResult('errormessage');
		if ($error) { $errorText = 'Servicefehler: ' . $error . ' ' . $errormessage; break; };
		
	// Servicerckgaben auswerten
		$countrycount = $oService -> getResult('countrycount');
		$countries = $oService -> getResult('country', array());
		$ipcountry = $oService -> getResult('ipcountry');
		$ipprovider = $oService -> getResult('ipprovider');
		
		if (count($countries) == 0) { $errorText = 'Es ist kein Land verfgbar'; break; };
		if ($ipprovider == 'AOL') $ipcountry = 'DE';
	}
	while (0); // sprungmarke durch break
?>
	<form action="index.php" method="get">
	<input type="hidden" name="page" value="payment">
	<b>Whlen Sie ein Angebot:</b>
	<div>
<?php
// Angebote ausgeben
	foreach ($offerList as $id => $offer) {
		$amount = $offer['amount'];
		$amountText = sprintf('%0.2f EUR', $amount / 100);
		$title = $offer['title'];
?>
		<input type="radio" id="<?php echo 'offer' . $id; ?>" name="offerid" value="<?php echo $id; ?>" <?php echo $id == 1 ? 'checked' : ''; ?>>
		<label for="<?php echo 'offer' . $id; ?>"><?php echo $title; ?> fr <?php echo $amountText; ?></label><br>
<?php
	};
?>
	</div>
	<br>
	
	<b>Whlen Ihr Land aus:</b>
	<div>
<?php
// Lnderliste ausgeben, wenn Land verfgbar
	foreach ($countryList as $country => $countryText) {
		if (!$countries or !in_array($country, $countries)) continue;
?>
		<input type="radio" id="<?php echo 'country' . $country; ?>" name="country" value="<?php echo $country; ?>" <?php echo $country == $ipcountry ? 'checked' : ''; ?>>
		<label for="<?php echo 'country' . $country; ?>"><?php echo $countryText; ?></label>
<?php
	};
?>	
	</div>	
	<br>

	<div class="center">
		<input type="submit" value="Weiter zum Bezahlen">
	</div>
	<br>

	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
	</form>


