<?php
/*********************************************************************************
	Call2Pay API Demo - Erfolgsseite
	- ermittelt Status einer Transaktion und zeigt ihn an
	- wird nach erfolgreicher Bezahlung angezeigt
*********************************************************************************/
	
	do {
	// handle auswerten
		$handle = getGetVar('handle');
		if (empty($handle)) { $errorText = 'Ungltiger Aufruf'; break; };
		
	// Service Initialisierung
		$oService = new Service();
		$oService -> setParam('handle', $handle);
		
	// Servicefunktion aufrufen und Fehler behandeln
		if (!$oService -> request('info')) { $errorText = 'Service nicht erreichbar'; break; };
		$error = $oService -> getResult('error', 0);
		$errormessage = $oService -> getResult('errormessage');
		if ($error) { $errorText = 'Servicefehler: ' . $error . ' ' . $errormessage; break; };
		
	// Servicerckgaben auswerten
		$status = $oService -> getResult('status');
		$country = $oService -> getResult('country');
		$number = $oService -> getResult('number');
		$amount = $oService -> getResult('amount');
		$currency = $oService -> getResult('currency');
		$mode = $oService -> getResult('mode');
		$tan = $oService -> getResult('tan');
		$caller = $oService -> getResult('caller');
		$origin = $oService -> getResult('origin');
		$duration = $oService -> getResult('duration');
		$durationpart = $oService -> getResult('durationpart');
		$title = $oService -> getResult('title');
		$freeparam = $oService -> getResult('freeparam');
		
	// status auswerten
		switch ($status) {
		case 'INIT': // noch kein Anruf
			$errorText = 'Bitte rufen Sie an!';
			break;
		case 'REINIT': // noch kein Anruf nach abbruch
			$errorText = 'Bitte rufen Sie erneut an!';
			break;
		case 'CALL': // Anruf luft
			$errorText = 'Der Anruf ist noch nicht abgeschlossen!';
			break;
		case 'RECALL': // Anruf abgebrochen
			$errorText = 'Sie haben zu frh aufgelegt, bitte rufen Sie erneut an!';
			break;
		case 'EXPIRED': // Reservierung abgelaufen
			$errorText = 'Bezahlung bitte erneut starten!';
			break;
		case 'FAILED': // Reservierung abgelaufen nach Abbruch
			$errorText = 'Bezahlung ist fehlgeschlagen, bitte erneut starten!';
			break;
		case 'COMPLETE': // Bezahlung erfolgreich
			$infoText = 'Bezahlung erfolgreich. Ihnen wurden ' . $freeparam . ' Coins gut geschrieben!';
			break;
		default:
			$errorText = 'unbekannter Status: ' . $status;
		}
	}
	while (0); // sprungmarke durch 'break'
?>

	<b>Herzlichen Glckwunsch!</b><br>
	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>

